Subject: PMP> New Printer MIB draft

From: [email-masked]
Date: Wed, 25 Jun 1997 15:25:47 -0400

To:       [email-masked]
cc:
From:     Lloyd Young
Date:     06/25/97 03:25:47 PM
Subject:  New Printer MIB draft

The "Final" Printer MIB draft has been uploaded to the PWG FTP
server:  ftp://ftp.pwg.org/pub/pwg/pmp/drafts/pmib_062597.txt

The proposed schedule for submitting this as our final Internet
Draft is:

   Comments from Printer MIB working group members by      7/3
   Draft submitted to IETF                                 7/7

I recognize this is a tight schedule but we are running a few
weeks behind our original proposed schedule and I do not want
to lose any more time than is absolutely necessary.

This draft has been run through various MIB compilers and
compiles cleanly.

I have included the list of proposed changes to be made in this
draft. The action that was taken on each proposed change is
highlighted by **.
--------------------------
1. Top 21 Printer Conditions
** Added as appendix.
2. Bob Pentecost raised an issue in e-mail dated 4/17/97
on prtAlertTime.
** No changes
3. Harry Lewis raised an issue in e-mail dated 4/18/97
on Alert Alert.
** No changes
4. Ira McDonald's proposal on localization.
** Changes have been made.
5. Jay Martin proposed a change on 4/30/97 in some e-mail
that did not make it into the new draft. I'll copy the
proposed changes here:
  Section 2.2.12.2.2  Sub-unit Status
     The subsection of "On-line" has "Intended" twice.
     The subsection of "Transitioning" has the line "At intended state";
     this should change to "At current state".  The succeeding line
     says "Transitioning to intended state", but this might be OK as is.
  The MIB section defining "PrtSubUnitStatusTC"
     Exactly the same edits as above.
** Further editing done in this area.
6. The new section that Ron Bergman wrote on Interface Types is
currently Section 3.5.
** Section moved to Section 3.3.1.
7. Significant contributors list lacks recent contributors.
** List expanded.
8. On page 18 of the current draft there is a definition for Busy /
Temporarily Unavailable which appears as part of the same paragraph
for the definition of Unavailable. I believe this should be removed
since there is a second definition for Busy on page 19. I thought we
had agreed to this previously.
** Corrected.
9. The table on page 19 has 'Normal' as the first entry. I thought we had
agreed to change the first entry from 'Normal' to 'Idle'.  There is no
definition for 'Normal' but there IS a definition for 'Idle'.
** Corrected.
10. There are many instances of text formatting problems (line wraps and
indentations) in the draft.
** Corrected.
11. If coverOpened and coverClosed are duplicated, one of them should have
their name changed and the 501 and 502 values should be noted as
deprecated.
** 501 and 502 values have been added as deprecated values.

Lloyd Young                       Lexmark International, Inc.
Senior Program Manager            Dept. C14L/Bldg. 035-3
Strategic Alliances               740 New Circle Road NW
internet: [email-masked]     Lexington, KY 40550
Phone: (606) 232-5150             Fax: (606) 232-6740

---

From: [email-masked] (Ira Mcdonald x10962)
Date: Thu, 26 Jun 1997 08:18:51 PDT

Reply To: PMP> New Printer MIB draft

Hi Lloyd and PMP folks,                          Thursday (26 June 1997)

I pulled down this draft and reviewed the edits for localization.  They
all look fine to me.  I'll leave it to Matt King, Angelo Caruso, and
others to comment on the various changes they suggested.

Two other comments:

1)  OBJECT clauses for all string objects in MODULE-COMPLIANCE macro
    (important, but simple to fix)

Several Xerox desktop systems implementors recently queried the minimum
legal SIZE of the string objects in the Printer MIB.  Angelo Caruso
and I replied that, since there are NOT refined SYNTAX sub-clauses (just
MIN-ACCESS of 'read-only') in the OBJECT clauses, all conforming
implementations (of RFC 1759 or the new Printer MIB v2 draft, as
currently written) would have to support the MAXIMUM size indicated in
the SYNTAX clause of the relevant OBJECT-TYPE macros.  An example of an
OBJECT clause in a MODULE-COMPLIANCE macro which corrects this (presumed
to be accidental) defect follows:

    OBJECT      prtGeneralCurrentOperator
    SYNTAX      PrtEnglishASCIIDisplayStringTC (SIZE (0..32))
    MIN-ACCESS  read-only
    DESCRIPTION
        "It is conformant to implement this object as read-only, and
        only 32 octets maximum string length need be supported."

Of course, reasonable minimum string lengths would vary for the specific
string objects, but the principle remains the same (beware the needs of
two-octet code sets in other localizations).

2)  Page 37 - DESCRIPTION clause of 'PrtEnglishASCIIDisplayStringTC'
    (minor typo)

Left-single-quote ("`") before 'prtGeneralStaticLocalization' - probably
my accidental doing when sending proposed text - in any case, usually
left-single-quotes are not used in textual clauses in MIBs - I did a
search and this is the only occurrence of a left-single-quote in this
draft.

Cheers,
- Ira McDonald (outside consultant at Xerox)
  High North Inc
  PO Box 221
  Grand Marais, MI  49839
  906-494-2434

>---------------------------- Lloyd's note ----------------------------<
>To:       [email-masked]
>From:     Lloyd Young
...snip
>** Changes have been made.
...snip